%ifarch i386
%define prefix /usr/lib/ejabberd/ebin
%else
%define prefix /usr/lib64/ejabberd/ebin
%endif


Summary:	mod_statsdx ejabberd module
Name:		mod_statsdx
Version:	813svn
Release:        2.ru
License:	GPL
Group:		Development/Other
Source:	%{name}-%{version}.tar.gz
Packager: 	David Diffenbaugh <davediff@nbcs.rutgers.edu>
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: erlang = R12B5
Requires: erlang = R12B5
Requires: ejabberd >= 2.0.1

%description
modstasdx is an ejabberd module which measures several statistics, and provides a new section in ejabberd Web Admin to view them.

%prep
%setup

%build
cd mod_statsdx/trunk
./build.sh

%install
rm -rf %{buildroot} 
mkdir -p %{buildroot}%{prefix}/
install mod_statsdx/trunk/ebin/mod_statsdx.beam %{buildroot}%{prefix}/mod_statsdx.beam
 
%clean
rm -rf %{buildroot}

%post
echo "
Add the module to your /etc/ejabberd/ejabberd.cfg, on the modules section:
{modules, [
  ...
  {%{name} []},
  ...
]}.

See /usr/share/doc/%{name}-%{version}/README.txt for usage instructions 
and configuration options.
"


%files
%defattr(-,root,root)
%doc  mod_statsdx/trunk/ChangeLog mod_statsdx/trunk/COPYING mod_statsdx/trunk/README.txt
%{prefix}/mod_statsdx.beam


%changelog
* Tue Nov 11 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> 813svn-2
- built against erlang R12B5
* Thu Oct 30 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu>
- updated to latest svn 813
* Mon Sep 08 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> 
- first rutgers release
